#!/bin/sh
. `dirname $0`/func.sh

init_dev
[ $? -ne 0 ] && exit 1

CAM_DEVICE=${CAM_DEVICE##*-}

echo ""
echo "Enable Defect Pixel Correction"
echo "=============================="

echo " select enable/disable"
echo " ====================="
echo " 1) enable  dynamic defect pixel correction VM-016 (for this session)"
echo " 2) disable dynamic defect pixel correction VM-016 (for this session)"
echo " 3) enable  dynamic defect pixel correction VM-017 (for this session)"
echo " 4) disable dynamic defect pixel correction VM-017 (for this session)"
read ENABLE_DPC
echo " Your select = $ENABLE_DPC"
case $ENABLE_DPC in
  "1") v4l2-dbg -c $CAM_DEVICE -s 0x31E0 0x000B -w2 ;;
  "2") v4l2-dbg -c $CAM_DEVICE -s 0x31E0 0x0003 -w2 ;;
  "3") v4l2-dbg -c $CAM_DEVICE -s 0x31E0 0x0781 -w2 ;;
  "4") v4l2-dbg -c $CAM_DEVICE -s 0x31E0 0x0081 -w2 ;;
esac
